> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Konto-Dienstkonten auflisten

> Listet die Dienstkonten des Kontos auf.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.de.json GET /v1/public/accounts/{account_id}/auth/service-accounts
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/service-accounts:
    get:
      tags:
        - public-accounts
        - public-account-auth
      summary: Konto-Dienstkonten auflisten
      description: Listet die Dienstkonten des Kontos auf.
      operationId: >-
        list_public_account_service_accounts_v1_public_accounts__account_id__auth_service_accounts_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: include_revoked
          required: false
          schema:
            default: false
            title: Include Revoked
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ServiceAccountResponse'
                title: >-
                  Response List Public Account Service Accounts V1 Public
                  Accounts  Account Id  Auth Service Accounts Get
                type: array
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validierungsfehler
      security:
        - PublicBearerAuth: []
components:
  schemas:
    ServiceAccountResponse:
      properties:
        account_id:
          format: uuid
          title: Konto-ID
          type: string
        created_at:
          format: date-time
          title: Erstellt At
          type: string
        created_by_user_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: erstellt von User ID
        expires_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: läuft ab um
        id:
          format: uuid
          title: ID
          type: string
        last_used_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Zuletzt verwendet am
        name:
          title: Name
          type: string
        revoked_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: widerrufen um
        revoked_by_user_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Widerrufen durch Benutzer-ID
        token_last4:
          title: Letzte 4 Zeichen des Tokens
          type: string
        token_prefix:
          title: Token-Präfix
          type: string
        token_public_id:
          title: Öffentliche Token-ID
          type: string
        updated_at:
          format: date-time
          title: Aktualisiert am
          type: string
      required:
        - id
        - account_id
        - name
        - token_public_id
        - token_prefix
        - token_last4
        - created_at
        - updated_at
      title: ServiceAccountResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Standort
          type: array
        msg:
          title: Nachricht
          type: string
        type:
          title: Fehler Typ
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````